Browse Source

Re-enable progress bar cancellation; debconf 1.5.27 fixes occasional

bugs where we weren't exiting 30 appropriately, and
debian-installer-utils 1.70 fixes exit code propagation.  I've left the
comments in place pending testing.

r62152
tags/0.44
Colin Watson 11 years ago
parent
commit
4df6871f1c
6 changed files with 17 additions and 8 deletions
  1. +1
    -4
      apt-setup
  2. +3
    -3
      apt-setup-verify
  3. +9
    -0
      debian/changelog
  4. +1
    -1
      debian/control
  5. +2
    -0
      generators/50mirror
  6. +1
    -0
      generators/50mirror.ubuntu

+ 1
- 4
apt-setup View File

@@ -33,10 +33,7 @@ warning() {
}

gencount=$(ls "$gendir"/* | wc -l)
# Option to cancel progress bar disabled as there are issues with it;
# see also apt-setup-verify
#db_capb backup progresscancel
db_capb backup
db_capb backup progresscancel
db_progress START 0 $(expr $gencount \* 200) apt-setup/progress/title

PROGRESS_FROM=0


+ 3
- 3
apt-setup-verify View File

@@ -55,9 +55,9 @@ saveline () {
fi
}

# Option to cancel an action does not currently work:
# - application does not seem to always react to a cancel signal
# - debconf-apt-progress does not exit with code 30 when cancelled
# Cancellation may still have reliability problems:
# - application does not seem to always react to a cancel signal?
# - debconf-apt-progress sometimes fails to exit with code 30 when cancelled?
# See also thread http://lists.debian.org/debian-boot/2008/01/msg00094.html
valid () {
local line="$1"


+ 9
- 0
debian/changelog View File

@@ -1,3 +1,12 @@
apt-setup (1:0.44) UNRELEASED; urgency=low

* Re-enable progress bar cancellation; debconf 1.5.27 fixes occasional
bugs where we weren't exiting 30 appropriately, and
debian-installer-utils 1.70 fixes exit code propagation. I've left the
comments in place pending testing.

-- Colin Watson <cjwatson@debian.org> Tue, 02 Feb 2010 11:22:25 -0800

apt-setup (1:0.43) unstable; urgency=low

[ Colin Watson ]


+ 1
- 1
debian/control View File

@@ -11,7 +11,7 @@ XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 7000
Depends: apt-mirror-setup, installed-base, di-utils (>= 1.58), ${misc:Depends}
Depends: apt-mirror-setup, installed-base, di-utils (>= 1.70), ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup


+ 2
- 0
generators/50mirror View File

@@ -114,6 +114,7 @@ if [ -e /cdrom/.disk/base_installable ]; then
while true; do
CODE=0
choose-mirror -n || CODE=$? # no progress bar
db_capb backup progresscancel
if [ $CODE -eq 0 ]; then
break
elif [ $CODE -eq 10 ]; then
@@ -226,6 +227,7 @@ while [ ! "$done" ]; do
db_get apt-setup/mirror/error
if [ "$RET" = "Change mirror" ]; then
choose-mirror -n || true
db_capb backup progresscancel
elif [ "$RET" = Ignore ]; then
exit 1
fi


+ 1
- 0
generators/50mirror.ubuntu View File

@@ -42,6 +42,7 @@ if [ -e /cdrom/.disk/base_installable ]; then
db_set mirror/suite $RET
fi
choose-mirror -n # no progress bar
db_capb backup progresscancel
fi

STATE=1


Loading…
Cancel
Save